/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ListItemResource, ListResource } from '@alfa-client/tech-shared';
import { Resource, ResourceUri } from '@ngxp/rest';

export interface Collaboration {
  titel: string;
  beschreibung: string;
  zustaendigeStelle: ResourceUri;
  collaborationLevel?: (typeof CollaborationLevels)[keyof typeof CollaborationLevels];
}

export class CollaborationLevels {
  public static readonly ORGANISATIONS_EINHEIT = 1;
  public static readonly EXTERNE_FACHSTELLE = 4;
}

export interface CollaborationResource extends Collaboration, Resource, ListItemResource {}
export interface CollaborationListResource extends ListResource {}
