/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { HttpErrorResponse } from '@angular/common/http';
import {
  ApiErrorAction,
  TypedActionCreator,
  TypedActionCreatorWithProps,
} from '@alfa-client/tech-shared';
import { VorgangWithEingangAction } from '@alfa-client/vorgang-shared';
import { createAction, props } from '@ngrx/store';
import { LoeschAnforderungResource } from '../loesch-anforderung.model';

export interface LoeschAnforderungProps {
  loeschAnforderung: LoeschAnforderungResource;
}

export const loadLoeschAnforderung: TypedActionCreatorWithProps<VorgangWithEingangAction> =
  createAction('[LoeschAnforderung] Load LoeschAnforderung', props<VorgangWithEingangAction>());
export const loadLoeschAnforderungSuccess: TypedActionCreatorWithProps<LoeschAnforderungProps> =
  createAction(
    '[LoeschAnforderung] Load LoeschAnforderung Success',
    props<LoeschAnforderungProps>(),
  );
export const loadLoeschAnforderungFailure: TypedActionCreatorWithProps<ApiErrorAction> =
  createAction('[LoeschAnforderung] Load LoeschAnforderung Failure', props<ApiErrorAction>());

export interface LoeschAnforderungZuruecknehmenFailedAndReloadVorgangFailureProps {
  error: HttpErrorResponse;
  overviewUrl: string;
}

export const loeschAnforderungZuruecknehmenFailedAndReloadVorgangSuccess: TypedActionCreator =
  createAction('[LoeschAnforderung] LoeschAnforderung zurücknehmen reload vorgang success');
export const loeschAnforderungZuruecknehmenFailedAndReloadVorgangFailure: TypedActionCreatorWithProps<LoeschAnforderungZuruecknehmenFailedAndReloadVorgangFailureProps> =
  createAction(
    '[LoeschAnforderung] LoeschAnforderung zurücknehmen reload vorgang failure',
    props<LoeschAnforderungZuruecknehmenFailedAndReloadVorgangFailureProps>(),
  );
