/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.postfach;

import java.util.Map;
import java.util.UUID;

import de.ozgcloud.alfa.vorgang.ServiceKontoTestFactory;

public class PostfachAddressTestFactory {

	public final static int TYPE = 1;

	public final static String STRING_BASED_IDENTIFIER_POSTFACH_ID = UUID.randomUUID().toString();
	public final static Map<String, Object> IDENTIFIER = Map.of(PostfachAddress.IDENTIFIER_POSTFACH_ID_FIELD, STRING_BASED_IDENTIFIER_POSTFACH_ID);

	public static final String VERSION = "1.0";

	public static PostfachAddress create() {
		return createBuilder().build();
	}

	public static PostfachAddress.PostfachAddressBuilder createBuilder() {
		return PostfachAddress.builder()
				.type(TYPE)
				.identifier(IDENTIFIER)
				.version(VERSION);
	}

	public static Map<String, Object> createAsMap() {
		return Map.of(PostfachAddress.TYPE_FIELD, TYPE,
				PostfachAddress.VERSION_FIELD, VERSION,
				PostfachAddress.IDENTIFIER_FIELD, createIdentifierMap(),
				PostfachNachrichtHelper.SERVICEKONTO_TYPE_FIELD, ServiceKontoTestFactory.TYPE);
	}

	private static Map<String, Object> createIdentifierMap() {
		return Map.of(PostfachAddress.IDENTIFIER_POSTFACH_ID_FIELD, STRING_BASED_IDENTIFIER_POSTFACH_ID);
	}
}